#ifndef SI_SUBST
#define SI_SUBST

/*

 suppt_h

 Shell Internal Support

 Date           Author          Comments
 ----           ------          --------
 11/03/1998     A.D.Ives        New module for v1.06

 1.07
 ----
 14/03/1998     A.D.Ives        Added code for SI_FOR
 15/03/1998                     Prototypes added for Part() and RPart()

 1.08
 ----
 27/03/1998                     Added code for SI_DO

 1.09
 ----
 17/04/1998                     Prototypes added for IsDir(), DirName(),
                                FileName()
                                Added codes for SI_FORF, SI_FORFN
 18/04/1998                     Prototype added for IsFile()
 19/04/1998                     Prototypes added for SetPars(), ClearPars()

 1.10
 ----
 22/11/1998                     Added codes for SI_ISC68, SI_FILE

*/

/* Access codes for SI() */

#define SI_RETCODE      1
#define SI_RESULT       2
#define SI_LASTKEY      3
#define SI_FOR          4
#define SI_FORW         5
#define SI_FORF         6
#define SI_FORFN        7
#define SI_DO           8
#define SI_ISC68        9
#define SI_FILE        10

void ShellInit() ;
void *SI(int, void *) ;
char *RPart(char *, char *, int) ;
char *Part(char *, char *, int) ;
char *Internal(char *, char *) ;
char *Prompt(char *, char *) ;
void SubstParams(char *, int, char **) ;
int IsDir(char *) ;
int IsFile(char *) ;
char *DirName(char *, char *) ;
char *FileName(char *, char *) ;
int SetPars(char *) ;
void ClearPars() ;

#endif
